#Module-Specific definitions
%define mod_name mod_bwshare
%define mod_conf 77_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Bandwidth throttling and balancing by client IP address
Name:		apache-%{mod_name}
Version:	0.2.0
Release:	%mkrel 2
Group:		System/Servers
License:	Artistic
URL:		http://www.topology.org/src/bwshare/README.html
Source0:	http://www.topology.org/src/bwshare/%{mod_name}-%{version}.zip
Source1:	http://www.topology.org/src/bwshare/%{mod_name}-%{version}.zip.asc
Source2:	%{mod_conf}
BuildRequires:	unzip
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Provides:	apache2-mod_bwshare
Obsoletes:	apache2-mod_bwshare
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Apache shaping module "bwshare" uses a form of "statistical shaping". This
means that the software measures the statistical behaviour of the subscriber in
the past, and uses this as a basis for controlling the current access to
resources by the user. 

The purpose of this module is to give the web site operator some control over
bandwidth utilization by individual client hosts. The "bwshare" module
temporarily blocks access by excessive users. This is aimed especially at users
who download whole websites at great speed. Excessive speed is considered bad
etiquette for search engine robots.

%prep

%setup -q -n %{mod_name}-%{version}

cp %{SOURCE2} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE README.html changes.html doc.html
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*


%changelog
* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdv2007.1
+ Revision: 140654
- rebuild

* Mon Feb 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.0-1mdv2007.1
+ Revision: 118983
- fix build
- 0.2.0

* Thu Nov 09 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.9-2mdv2007.0
+ Revision: 79368
- Import apache-mod_bwshare



* Sun Aug 06 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.9-2mdv2007.0
- rebuild

* Thu May 18 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.9-1mdk
- 0.1.9

* Mon May 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.8-1mdk
- 0.1.8
- drop redundant patches; P0

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.3-2mdk
- rebuilt against apache-2.2.0

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.1.3-1mdk
- fix versioning

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.1.3-2mdk
- fix deps

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_0.1.3-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-4mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-3mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_0.1.3-1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_0.1.3-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_0.1.3-1mdk
- built for apache 2.0.51

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.1.3-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.1.3-1mdk
- built for apache 2.0.49

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.1.3-1mdk
- built for apache 2.0.48

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.1.3-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.1.3-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.1.3-1mdk
- cosmetic rebuild for apache v2.0.45 

* Fri Feb 28 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_0.1.3-3mdk
- _Major_ rework on the module, it would not use the values in httpd.conf
  for configuration. This module is totally weird, using shared memory and
  semaphores, and covers different Apache versions, which makes it a mess.
  I don't know if my patch will work for 1.3, but it works with Apache
  2.0.42 and higher. Added BWSHARE_DEBUG define so we can recompile it with
  this option and trace the Apache API calls.
- Set better default values in the conf file: the defaults were set to 0.067
  pages per second, which is suitable for a server on an obsolete 33.6K
  modem, and totally unuseable according to the current standards.

* Fri Feb 28 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_0.1.3-2mdk
- rebuild

* Thu Feb 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.1.3-1mdk
- 0.1.3
- drop P0, it is now correcly done and included, great thanks Alan!

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.1.2-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.1.2-3mdk
- fix buildrequires apache-devel >= 2.0.53-1mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.1.2-2mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.1.2-1mdk
- initial cooker contrib
